RTM Lean : Questions and Answers


Real Time Monitoring


What can I use RTM Lean for?

Real Time Monitoring (RTM) Lean is a feature built into DataMan Setup Tool that allows for the collection and analysis of different kinds of data related to a single device on the network and its readings. The target device for this data acquisition, as well as the selection of the type of data collected, can be set up under Configuration on the ribbon menu. By default, RTM Lean collects statistical data (Read Rate, NoRead count, average decode time, trigger count, trigger overrun, buffer overflow, and process control metics, if enabled on the device).


What options are available under Configuration?

Configuration allows for the set up of data acquisition of RTM Lean along with other settings:

Device Configurations: Select a device that is the subject of data acquisition. Add devices to the list using the Add Device button. This opens a new window, where you can manually add devices based on IP using the Add Network Device button. The Refresh button can be used to refresh the list of devices, while the Remove Manually Added Device button removes the selected device from the list. Remove Device allows you to remove a device from the list of added devices, but as the pop-up warning warns, this entails the complete purging of collected data (images, statistics, and so on) for that device. Password-protected devices can be monitored by RTM Lean, but you need to provide the user name and password under Network.

Data Collection: The list includes all the types of information that RTM Lean can collect. Tick the checkboxes to collect the desired data. By default, RTM Lean collects statistical data (Read Rate, NoRead count, average decode time, trigger count, trigger overrun, buffer overflow, and process control metrics, if enabled on the device). The data types provided in the list are not among the default collected data and they can be set in the Settings tab:

  • Detailed Trigger Information for NoReads: If enabled, RTM Lean stores individual trigger data when a NoRead occurs. If the NoRead contains partial results or Multi-Reader Sync information, these are also stored.

  • NoRead Images (via FTP): If enabled, the device sends the NoRead image(s) to RTM Lean.

  • Detailed Trigger Information Good Reads: This setting enables the use of the Trigger Performance page under Detailed Views on the ribbon menu. Trigger Performance collects data for individual triggers that result in a good read. All the values of this data can be viewed in the Plotted Values drop-down menu on the Trigger Performance page.

  • Code Positions for Heat Map: For each successful read, RTM Lean stores the rectangles for each found code. This information is then used to create a 2D heat-map showing where codes were read in the Field of View.

  • Device Configuration Changes: When checked, the device notifies RTM Lean whenever its configuration changes. All configuration files sent by the device are stored by RTM Lean. Configuration change events are shown on the Events History page, where they can be exported or compared.

Note that depending on trigger frequency, enabling trigger-level data may slow down the system.

Classification: The RTM Controller can collect classification data based on the reasons for NoRead events if a Cognex In-Sight device is paired with the DataMan device. An In-Sight device must be specified for the classification to work by ticking the Collect Image Classifications from InSight box and selecting the Classificator Device from the drop-down list. To store classification images, tick the Store InSight Images to RTM box.

Note that depending on your trigger configuration and the frequency of NoRead images, storing images can increase the disk usage significantly.

Do not Overwrite Communication Script in DataMan: Tick this box to prevent overwriting the script in the device.

Network: This pane displays the name and address of the device that is being actively monitored by RTM Lean (Collection Enabled is checked on the left). Clicking the cogwheel icon opens a sub-menu that allows you to determine how RTM Lean identifies a device (IP address or MAC address). If you want to collect data from a password-protected device, you must provide the user name and password after selecting the device for monitoring from the list on the left.


What settings are available under Display Settings?

You can set up a warning line here to appear on the graphs.

  • Display ReadRate Reference Line: Checking this box makes the warning line to display.

  • ReadRate Reference Line Value (%): You can set a percentage value that is the warning percentage where the line is drawn on the Read Rate graph.

  • Chart Type determines what kind of line is displayed.

  • NoRead Buffer Size is related to the NoRead Image History, where the number set here is the maximum number of lines (triggers) considered on that page.

  • Set the maximum number of returned trigger details in the Maximum Number of Trigger Details Returned box.


What can I set under Devices in the ribbon menu?

Other than showing the ID of the device that RTM Lean is currently connected to, the displayed icon indicates if data collection is active (play icon) or inactive (pause icon). The drop down menu allows for pausing or initiating active data collection according to the parameters set up when initiating RTM Lean or under Configuration. You can also run the diagnostics from the drop-down menu as under Configuration.


Aggregated Views and Detailed Views - General Information

Both Aggregated Views ribbon menu items and Detailed Views ribbon menu items display structured representations of the data collected by RTM Lean, most in the form of interactive real-time graphs. The smallest time interval in these displays is 1 minute. If multiple triggers occur in a minute, RTM Lean aggregates data collected from these triggers for a 1 minute interval.

You can set up a warning line to appear on the graphs under Configuration > Display Settings. Checking the box makes the warning line to display on each graph. Chart type determines what kind of line is displayed, while in reference line value you can give the warning percentage where the line is drawn on the graphs.

Note that RTM Lean only collects information that is displayed on the views menu items when it is connected to and collection is enabled on the active device (enable data collection under Configuration or in the drop-down menu under Devices).


What data does Performance Overview collect and display?

Performance Overview can display Read Rate, Reads per minute, and NoReads per minute in a real-time graph, depending on the setting in the top left under Displaying. The Last [time interval] buttons on the top row are clickable, and the active is outlined orange. You can use the buttons to set the interval that Performance Overview uses.

You need to trigger the monitored device for data to be displayed on the graph.

You can set up a warning line to appear on the graphs under Configuration > Display Settings. Checking the box makes the warning line to display on each graph. Chart Type determines what kind of line is displayed, while ReadRate Reference Line Value (%) is the percentage where the line is drawn on the graphs.


What data does Code Quality Overview collect and display?

Code Quality Overview can display code quality grades and metrics in a real-time graph, depending on the setting in the top left under Settings > Plotted Value. Select the metric or grade you want to monitor on the device. Only the code quality standard that is set on the monitored device is available under Plotted Value (so an empty dropbox means that no standard is enabled on the device). You can collect data for another standard by changing the enabled code quality standard on the target device.

In case of multicode, there may be multiple code quality standards set on the device. In this case, the graph displays two data lines (and their average is displayed above).

NOTE: Because RTM Lean uses a 1 minute minimum interval, grades can have an intermediate value.

The Last [time interval] buttons on the top row are clickable, and the active is outlined orange. You can use the buttons to set the interval that Code Quality Overview uses. The average plotted value is displayed here.

You can set up a warning line to appear on the graphs under Configuration > Display Settings. Ticking the box makes the warning line to display on each graph. Chart Type determines what kind of line is displayed, while ReadRate Reference Line Value (%) is the percentage where the line is drawn on the graphs.


What data does Event History collect and display?

Event History combines statistic and code quality data acquisition in a real-time graph, depending on the setting in the top left under Settings > Plotted Value. RTM Lean monitors the selected value on the device. For code quality metrics and grades, only the code quality standard that is set on the monitored device is available under Plotted Value. You can collect data for another standard by changing the enabled code quality standard on the target device.

The scrollbar can be moved to the desired point in time to view the data of that particular time. Scrollbar length can be modified (hold click and drag) to change the monitored interval. An aggregated value of the plotted value of the selected time period (by positioning the scrollbar) is displayed in the top middle under Aggregated value in selected period.

Data collection populates the bottom line of the graph with dots that represent events during monitoring. Each event is listed on the right side with details (time stamp and event type). There are two buttons below the list:

  • Save Device Backups allows you to export the device config tied to the selected event on the list. This might be used to check for details when looking for reasons for a change in a given statistic, metric or grade.

  • Compare Configurations opens up the document where you can compare the device configurations tied to the selected events; this only works if more than one event is selected from the list.


What can I see on the Code Location Heatmap pane?

Code Location Heatmap draws a heat map of good reads, where regions are colored according to how frequently codes were found in them. Warmer colors indicate that codes were found more frequently in that area. The scrollbar can be moved to the desired point in time to view the heat map of that particular time. Scrollbar length can be modified (hold click and drag) to change the monitored interval.


What data is displayed on the NoRead Image History pane?

NoRead Image History displays the latest NoRead images taken by the monitored device. The table view on the left lists various attributes of the images, while the image window on the right displays the image you select from the slide view below it. Click the Save Icon to save the currently selected image.

The Classification chart in the bottom left corner shows what type of NoRead events happened, if you selected collecting classification under Configuration > Settings > Classification.


What data is displayed on the Trigger Performance pane?

In order for Trigger Performance to be enabled, you need to tick the Detailed Trigger Information for Good Reads option of the Data Collection list in the Settings tab.

Trigger Performance does not aggregate data for 1 minute intervals like other panes, but instead shows each trigger on the graph. Individual triggers are represented by dots on the graph and their numeric value is displayed. Plotted values (the one being monitored) can be chosen from a number of possible values in the Plotted values drop down box. Note that depending on the firmware version on the monitored device, the list of plotted values can be different.

The scrollbar can be moved to the desired point in time to view the data of that particular time. Scrollbar length can be modified (hold click and drag) to change the monitored interval. The Color plots based on setting allows you to set the criteria for the coloring of dots on the graph.

A single dot (trigger) can be clicked on the graph to display all the related data that RTM Lean collected on the right side if the trigger resulted in a good read. If it resulted in a bad read, RTM Lean displays the image taken that can be saved by clicking on the Save icon.


What options are available under the System tab?

You can delete data and configuration settings here. Clicking EmptyDatabase deletes all stored data and Reset Configuration deletes the device's configuration settings and all the stored data.